Public Attributes | List of all members
iso_cis_est_evt_t Struct Reference
BLE » Core Isochronous Channels | BLE » Logical Link Control and Adaptation Protocol (L2CAP) » Structures

The parameter for cis establish event. More...

`#include <ble_iso.h>`

## Public Attributes
uint8_t | status
uint16_t | cis_hdl
uint32_t | cig_sync_delay
uint32_t | cis_sync_delay
uint32_t | tran_latency_m2s
uint32_t | tran_latency_s2m
uint8_t | phy_m2s
uint8_t | phy_s2m
uint8_t | nse
uint8_t | bn_m2s
uint8_t | bn_s2m
uint8_t | ft_m2s
uint8_t | ft_s2m
uint16_t | max_pdu_m2s
uint16_t | max_pdu_s2m
uint16_t | iso_interval

## Detailed Description

The parameter for cis establish event.

Definition at line 436 of file ble_iso.h.

## Member Data Documentation

## ◆ bn_m2s

uint8_t iso_cis_est_evt_t::bn_m2s

The burst number for master to slave transmission (Range 0x00 to 0x0F). 0x00: no isochronous data from the master to the slave.

Definition at line 447 of file ble_iso.h.

## ◆ bn_s2m

uint8_t iso_cis_est_evt_t::bn_s2m

The burst number for slave to master transmission (Range 0x00 to 0x0F). 0x00: no isochronous data from the slave to the master.

Definition at line 448 of file ble_iso.h.

## ◆ cig_sync_delay

uint32_t iso_cis_est_evt_t::cig_sync_delay

The CIG synchronization delay time in microseconds(Range 0x0000EA to 0x7FFFFF).

Definition at line 440 of file ble_iso.h.

## ◆ cis_hdl

uint16_t iso_cis_est_evt_t::cis_hdl

Connection handle of CIS (Range 0x0000-0x0EFF).

Definition at line 439 of file ble_iso.h.

## ◆ cis_sync_delay

uint32_t iso_cis_est_evt_t::cis_sync_delay

The CIS synchronization delay time in microseconds(Range 0x0000EA to 0x7FFFFF).

Definition at line 441 of file ble_iso.h.

## ◆ ft_m2s

uint8_t iso_cis_est_evt_t::ft_m2s

The flush timeout, in multiples of the ISO_Interval for the CIS, for each payload sent from the master to the slave (Range: 0x01 to 0xFF).

Definition at line 449 of file ble_iso.h.

## ◆ ft_s2m

uint8_t iso_cis_est_evt_t::ft_s2m

The flush timeout, in multiples of the ISO_Interval for the CIS, for each payload sent from the slave to the master (Range: 0x01 to 0xFF).

Definition at line 450 of file ble_iso.h.

## ◆ iso_interval

uint16_t iso_cis_est_evt_t::iso_interval

The time between two consecutive CIS anchor points (unit:1.25ms, Range:0x0004 to 0x0C80, Time Range:5ms to 4s).

Definition at line 453 of file ble_iso.h.

## ◆ max_pdu_m2s

uint16_t iso_cis_est_evt_t::max_pdu_m2s

Maximum size, in octets, of the payload from master to slave (Range: 0x0000 to 0x00FB).

Definition at line 451 of file ble_iso.h.

## ◆ max_pdu_s2m

uint16_t iso_cis_est_evt_t::max_pdu_s2m

Maximum size, in octets, of the payload from slave to master (Range: 0x0000 to 0x00FB).

Definition at line 452 of file ble_iso.h.

## ◆ nse

uint8_t iso_cis_est_evt_t::nse

Maximum number of subevents in each isochronous event (Range 0x01 to 0x1E).

Definition at line 446 of file ble_iso.h.

## ◆ phy_m2s

uint8_t iso_cis_est_evt_t::phy_m2s

indicates the PHY selected for packets from the master to slave. see iso_phy_type_t

Definition at line 444 of file ble_iso.h.

## ◆ phy_s2m

uint8_t iso_cis_est_evt_t::phy_s2m

indicates the PHY selected for packets from the slave to master. see iso_phy_type_t

Definition at line 445 of file ble_iso.h.

## ◆ status

uint8_t iso_cis_est_evt_t::status

0x00: The CIS has been established, 0x01 to 0xFF: The CIS failed to be established.

Definition at line 438 of file ble_iso.h.

## ◆ tran_latency_m2s

uint32_t iso_cis_est_evt_t::tran_latency_m2s

The maximum time, in microseconds, for transmission of SDUs of all CISes from master to slave(Range 0x0000EA to 0x7FFFFF).

Definition at line 442 of file ble_iso.h.

## ◆ tran_latency_s2m

uint32_t iso_cis_est_evt_t::tran_latency_s2m

The maximum time, in microseconds, for transmission of SDUs of all CISes from slave to master(Range 0x0000EA to 0x7FFFFF).

Definition at line 443 of file ble_iso.h.

The documentation for this struct was generated from the following file:

- ble_iso.h